%define url_ver %(echo %{version} | cut -d. -f1,2)

%define git	20120908
%define rel	3

Summary:	A simple CD burning tool for the Xfce Desktop Environment
Name:		xfburn
Version:	0.4.3
Release:	%mkrel 6.git%{git}.%{rel}
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://www.xfce.org/projects/xfburn/
#Source0:	http://archive.xfce.org/src/apps/xfburn/%{url_ver}/%{name}-%{version}.tar.bz2
# From upstream git
Source0:	%{name}-%{git}.tar.xz
Patch0:		xfburn-20120601-fix-desktop-file.patch
Patch1:		xfburn-automake1.13.patch
BuildRequires:	desktop-file-utils
BuildRequires:	intltool
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(libburn-1)
BuildRequires:	pkgconfig(libisofs-1)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libxfce4ui-1)
BuildRequires:	pkgconfig(exo-1)
BuildRequires:	pkgconfig(thunar-vfs-1)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gstreamer-0.10)
BuildRequires:	pkgconfig(gstreamer-pbutils-0.10)

%description
Xfburn is a simple CD/DVD burning tool based on libburnia 
libraries.It can blank CD-RWs, burn and create iso images, 
as well as burn personal compositions of data to either CD or DVD.

%prep
%setup -q -n %{name}-%{git}
%apply_patches

%build
NOCONFIGURE=yes xdt-autogen
%configure2_5x \
	--disable-static \
	--enable-maintainer-mode
%make

%install
%makeinstall_std

desktop-file-install \
	--add-only-show-in="XFCE" \
	--remove-category="X-XFCE" \
	--remove-category="Archiving" \
	--remove-category="Utility" \
	--add-category="AudioVideo" \
	--add-category="XFCE" \
	--dir %{buildroot}%{_datadir}/applications \
		%{buildroot}%{_datadir}/applications/* 

%find_lang %{name}

%files  -f %{name}.lang
%doc AUTHORS ChangeLog TODO
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}/
%{_datadir}/Thunar/sendto/thunar-sendto-xfburn.desktop
%{_iconsdir}/hicolor/*/stock/media/*
%{_mandir}/man1/*


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.4.3-6.git20120908.3.mga3
+ Revision: 386781
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 wally <wally> 0.4.3-6.git20120908.2.mga3
+ Revision: 338222
- add patch to fix build with automake 1.13

* Sat Sep 08 2012 wally <wally> 0.4.3-6.git20120908.1.mga3
+ Revision: 290005
- new git snapshot

* Fri Jun 01 2012 wally <wally> 0.4.3-6.git20120601.1.mga3
+ Revision: 252900
- use latest git snapshot
- clean .spec a bit

  + fwang <fwang>
    - rebuild for new xfutil

* Sun Jan 29 2012 tv <tv> 0.4.3-5.mga2
+ Revision: 202807
- rebuild without HAL which is dead

* Sat Feb 19 2011 ahmad <ahmad> 0.4.3-4.mga1
+ Revision: 54322
- drop old/unneeded scriptlets
- imported package xfburn

